package pojo.rpcclient;

/* Annick Fron
 * test du service
 */

import javax.xml.namespace.QName;

import org.apache.axis2.AxisFault;
import org.apache.axis2.addressing.EndpointReference;
import org.apache.axis2.client.Options;
import org.apache.axis2.rpc.client.RPCServiceClient;


import pojo.data.Meteo;

public class RpcClientMeteo {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		 RPCServiceClient serviceClient;
		try {
			serviceClient = new RPCServiceClient();
			 Options options = serviceClient.getOptions();

		        EndpointReference targetEPR = new EndpointReference(
		                "http://localhost:8080/axis2/services/ServiceMeteo");
		        options.setTo(targetEPR);
		       

		        // On affecte la valeur de la meteo
		       setMeteo(serviceClient);
		        Meteo result=getMeteo(serviceClient);
	 System.out.println("Temperature                : " +
                        result.getTemperature());
     System.out.println("Bulletin                   : " +
                        result.getBulletin());
     System.out.println("Pluie                      : " +
                        result.getPluie());
     System.out.println("Hygrometrie                : " +
                        result.getHygrometrie());
		} catch (AxisFault e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	      
	}

	private static Meteo getMeteo(RPCServiceClient serviceClient) throws AxisFault {
		QName opGetWeather =
		    new QName("http://service.pojo/xsd", "getMeteo");

		Object[] opGetWeatherArgs = new Object[] { };
		Class[] returnTypes = new Class[] { Meteo.class };
		
		Object[] response = serviceClient.invokeBlocking(opGetWeather,
		        opGetWeatherArgs, returnTypes);
		
		Meteo result = (Meteo) response[0];
		
		if (result == null) {
		    System.out.println("Le service meteo n'est pas initialise!");
		    return null;
		}
		return result;
	}

	private static void setMeteo(RPCServiceClient serviceClient) throws AxisFault {
		javax.xml.namespace.QName opSetWeather =
		    new QName("http://service.pojo/xsd", "setMeteo");

		Meteo w = new Meteo();

		w.setTemperature((float)25.3);
		w.setBulletin("Beau temps");
		w.setPluie(true);
		w.setHygrometrie((float)70);

		Object[] opSetWeatherArgs = new Object[] { w };

		serviceClient.invokeRobust(opSetWeather, opSetWeatherArgs);
	}

}
