package serveur;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import serveur.xjc.Bulletin;
import serveur.xjc.Requete;

@WebService( 
        serviceName = "ServiceMeteoLuxe", targetNamespace="http://www.afceurope.com")
@SOAPBinding(parameterStyle=SOAPBinding.ParameterStyle.BARE)

public class ServiceMeteoLuxe {
	@WebMethod
	@WebResult(name="bulletin", targetNamespace="http://www.afceurope.com")
	public Bulletin traiteRequete (
			@WebParam(name="requete", targetNamespace="www.afceurope.com")
			Requete requete) throws TempeteException{
		Bulletin bulletin = new Bulletin();
		bulletin.setVille(requete.getVille());
		if( requete.isCelsius()) bulletin.setTemperature(20.5) ;
		else bulletin.setTemperature(68.9);
		bulletin.setSituation("Ensoleille");
		if(requete.getPays().equalsIgnoreCase("Islande"))throw new TempeteException("Mauvais temps", "Islande");
		return bulletin;
	}
}
