package client;

import client.jaxws.Bulletin;
import client.jaxws.Requete;
import client.jaxws.ServiceMeteoLuxe;
import client.jaxws.ServiceMeteoLuxe_Service;
import client.jaxws.TempeteException_Exception;



public class ClientLuxe {

	public static void main(String[] args) {
		
		ServiceMeteoLuxe_Service endpoint = new ServiceMeteoLuxe_Service();
	    ServiceMeteoLuxe meteo = endpoint.getServiceMeteoLuxePort();
	    Requete requete = new Requete();
	    requete.setPays("France");
	    requete.setVille("Nice");
	    requete.setCelsius(true);
	    requete.setCodePostal(06000);
	    
	    try {
			Bulletin bulletinNice = meteo.traiteRequete(requete);
			System.out.println("Temperature : "+bulletinNice.getTemperature());
			System.out.println("Situation : "+bulletinNice.getSituation());
			//assurons nous de l'ordre de passage des arguments
			System.out.println("Ville : "+bulletinNice.getVille());
		} catch (TempeteException_Exception e) {
						e.printStackTrace();
		}
	    
		 try {
			requete.setPays("Islande");
			Bulletin bulletinIslande = meteo.traiteRequete(requete);
				System.out.println("Temperature : "+bulletinIslande.getTemperature());
				System.out.println("Situation : "+bulletinIslande.getSituation());
				System.out.println("Ville : "+bulletinIslande.getVille());
			} catch (TempeteException_Exception e) {
							System.out.println(e.getMessage());
							System.out.println(e.getFaultInfo().getInformation());
			}
	}

}
